org.firstinspires.ftc.robotcore.external.navigation

## Enum VuforiaLocalizer.CameraDirection

- java.lang.Object
- - java.lang.Enum<VuforiaLocalizer.CameraDirection>
  - - org.firstinspires.ftc.robotcore.external.navigation.VuforiaLocalizer.CameraDirection

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<VuforiaLocalizer.CameraDirection>
  Enclosing interface:
    VuforiaLocalizer

      public static enum VuforiaLocalizer.CameraDirection
      extends java.lang.Enum<VuforiaLocalizer.CameraDirection>

  `VuforiaLocalizer.CameraDirection` enumerates the identities of the builtin phone cameras that Vuforia can use.
  See Also:
    `VuforiaLocalizer.Parameters.cameraName`, `VuforiaLocalizer.Parameters.cameraDirection`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BACK`
    `DEFAULT` Using `BACK` or `FRONT` is a better choice than `DEFAULT`
    `FRONT`
    `UNKNOWN` A direction whose particulars are not actually known

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `direction`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VuforiaLocalizer.CameraDirection` | `from(java.lang.String string)` Converts a string to the corresponding camera direction.
    `int` | `getDirection()`
    `static VuforiaLocalizer.CameraDirection` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static VuforiaLocalizer.CameraDirection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BACK

          public static final VuforiaLocalizer.CameraDirection BACK

    - #### FRONT

          public static final VuforiaLocalizer.CameraDirection FRONT

    - #### DEFAULT

          public static final VuforiaLocalizer.CameraDirection DEFAULT

      Using `BACK` or `FRONT` is a better choice than `DEFAULT`

    - #### UNKNOWN

          public static final VuforiaLocalizer.CameraDirection UNKNOWN

      A direction whose particulars are not actually known

  - ### Field Detail

    - #### direction

          protected final int direction

  - ### Method Detail

    - #### values

          public static VuforiaLocalizer.CameraDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VuforiaLocalizer.CameraDirection c : VuforiaLocalizer.CameraDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VuforiaLocalizer.CameraDirection valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getDirection

          public int getDirection()

    - #### from

          public static VuforiaLocalizer.CameraDirection from(java.lang.String string)

      Converts a string to the corresponding camera direction. Returns UNKNOWN on failure.